Subject: Re: [PATCH net-next 00/13] selftests: ncdevmem: Add ncdevmem to ksft

From: Stanislav Fomichev <[email-masked]>
Date: Thu, 12 Sep 2024 12:48:00 -0700

On 09/12, Stanislav Fomichev wrote:
> The goal of the series is to simplify and make it possible to use
> ncdevmem in an automated way from the ksft python wrapper.
> 
> ncdevmem is slowly mutated into a state where it uses stdout
> to print the payload and the python wrapper is added to
> make sure the arrived payload matches the expected one.

Mina, what's your plan/progress on the upstreamable TX side? I hope
you're still gonna finish it up?

I have a PoC based on your old RFC over here (plus all the selftests to
verify it). I also have a 'loopback' mode to test/verify UAPI parts on qemu
without real HW.

Should I post it as an RFC once the merge window closes? Or maybe send
it off list? I don't intent to push those patches further. If you already
have the implementation on your side, maybe at least the selftests will be
helpful to reuse?